(function ($) {

Drupal.behaviors.createLicense = {
  attach: function (context) {  
  $("#openattribute_link").click(function(event){
	event.preventDefault();
	
	author = $("[name=author]").val();
	title = document.title;
	attribution_url = $("[name=url]").val();
	license_shorthand = $("[name=license] :selected").text();
	license_url = $("[name=license]").val();
	node_url = window.location.href;
	
	//license = '<a id="oatitle" href="' + node_url  + '" xmlns:dc="http://purl.org/dc/terms/" property="dc:title">' + title + '</a>'
	license = title
	license += ' by <a id="oaattributionurl" xmlns:cc="http://creativecommons.org/ns#" href="' + attribution_url + '" property="cc:attributionName" rel="cc:attributionURL" oaauthor="' + author + '">' + author + '</a>'
	license += ' is licensed under a <a id="oalicense" rel="license" href="' + license_url + '">' + license_shorthand + '</a><br />'
	license += ' Based on a work at <a xmlns:dct="http://purl.org/dc/terms/" href="' + node_url + '" rel="dct:source">' + node_url + '</a>.'

    $("#openattribute_license").html(license);
    $("#openattribute_text").val(license);
	
	$("#openattribute_popup").show();
	
	
  });
  }
};
})(jQuery);